#!/usr/bin/perl -w
use strict;

my($EXE, $HOMEF, $alg ,$DB, $TASK ,$HOM ,$flag)=@ARGV;
my @ALGVER=("smp","only_hom","all","all-deg","delta_ppi","MHRP","smp-abs","PSIBLAST","MRP","MdHRP","ZSR","PRANK","temp");

my %set=();
open FD,"<$HOMEF/$ALGVER[$alg]/ROC/ROC-5.hom.abs.0.cv_cls";
while(<FD>){
	chomp;
	$_ =~ s/^\s+//;
	$_ =~ s/\s+$//;
	my($a,$b)=split(/\s+/);
	$set{$b}=1;
}close FD;
foreach my $b(keys %set){
	system("$EXE $HOMEF $alg $DB $TASK $HOM $flag $b\n");
}

system("cat $HOMEF/$ALGVER[$alg]/query.tmpsig*.res > $HOMEF/$ALGVER[$alg]/query.sig-gs.res");
system("rm $HOMEF/$ALGVER[$alg]/query.tmpsig*.res");
system("cat $HOMEF/$ALGVER[$alg]/query.tmprank*.res > $HOMEF/$ALGVER[$alg]/query.rank-gs.res");
system("rm $HOMEF/$ALGVER[$alg]/query.tmprank*.res");