#ifndef ANALYZE_OUT_H_
#define ANALYZE_OUT_H_
#include <sstream>
#include <algorithm>
#include <functional>
#include <cstdlib>
#include <string>
#include <fstream>
#include <time.h>
#include "util/Rand.h"
#include "rankp.h"
#define MAX_GS 1000
#define MAX_GRID 6

void load_dat(double ****mat_val1, short ****mat_label1,int ***mat_len1, int *nf1,
	int *nq1, int **npos1, char ***names, char *task,int BUFFER_SZ);
void load_dat_nt(double ****mat_val1, short ****mat_label1,int ***mat_len1, int *nf1,
	int *nq1, int **npos1, char ***names,char *task,int BUFFER_SZ,int *flist);
void analyze_CV_abs(int fold, char *task,double ***mat_val,short ***mat_label,
	int *npos,char **names,int num_config,int num_samples,int ROC_LIMIT1,int algFlag,int **mat_len);
void analyze_CV_rel(int fold, char *task,double ***mat_val,
	short ***mat_label,int *npos,int num_config,int num_samples,int ROC_LIMIT1,int algFlag,
	int **mat_len);
void analyze_CV_abs_nt(int fold, char *task,double ***mat_val,short ***mat_label,
	int *npos,char **names,int num_config,int num_samples,int ROC_LIMIT1,
	int algFlag,int **mat_len,int *flist);
void analyze_CV_rel_nt(int fold, char *task,double ***mat_val,
	short ***mat_label,int *npos,char **names,int num_config,int num_samples,int ROC_LIMIT1,int algFlag,
	int **mat_len);
#endif /*ANALYZE_OUT_H_*/


