#ifndef __UTILM
#define __UTILM
#define LOG2P 0.9189385326
#define EPSILON 1e-8
#define INF 999999999999.
#define SWAP(a,b,c) (c)=(a);(a)=(b);(b)=(c);
#include <map>
#include <math.h>
#include <string.h>
#include <time.h>
#include <functional>
#include <stdio.h>
#include "../rankp.h"

double lchoose( int n, int k );
double enrich_prob( int stat[6] );
double calc_hgs(int grp_hit,int grp_tot,int bck_hit,int bck_tot);
void my_exit( char *str );
void bzero(void *p, int n);
void sort( int arr[], int size );
void sortD( double arr[], int size );
void  insortD (double *array,int len);
double my_drand48();
void transpose(double**mat,int dim);
void merge(double numbers[], double temp[], int labels[],int tmplabels[],int left, int mid, int right);
void m_sort(double numbers[], double temp[], int labels[], int tmplabels[],int left, int right);
void mergeSort(double numbers[], int array_size);
void mergeSort(double numbers[], int labels[], int array_size);
void mergeSort(double numbers[], int labels[],int array_size,bool useLabels);
void mergeSortInd(double numbers[], int labels[],int array_size);
double FDR(double * arr1,int len,int offset,double FDR_TH);
int strfind(const char *as1, const char *as2);
bool is_member(int e,int arr[],int arrlen);
bool is_member(void* e,void* arr[],int arrlen);
int find(int e,int arr[],int arrlen);
int intersect(void* arr1[],void* arr2[],int len);
double get_abs(double x);
void calc_grph(double ***PairWiseMat,bool isAllocated,bool useweights);
void mult(double **mat,double *vec,int n,int m,double *ans);
void mult(double **mat1,double **mat2,double **res,int n);
double norm1(double *vec,int n);
double norm2(double *vec,int n);
void vec_minus(double *vec1,double *vec2,double *resvec,int n);
void vec_plus(double *vec1,double *vec2,double *resvec,int n);
void mul_scalar_vec(double *vec1,double c,double *resvec,int n);
void vec_minus(double *vec1,double *vec2,int n);
void vec_plus(double *vec1,double *vec2,int n);
void vec_plus(double *vec1,double num,int n);
void mat_plus(double **mat,double num,int n,int m);
void mat_plus(double **mat,double **mat2,int n);
void mul_scalar_vec(double *vec1,double c,int n);
void mul_scalar_mat(double **mat,double c,int n,int m);
void add_scalar_mat(double **mat,double c,int n,int m);
double mean(double *vec,int n);
double mean(int *vec,int n);
double median(double *vec,int n);
int median(int *vec,int n);
double stdv(double *vec,int n);
double cov(double *vec1,double *vec2,int n);
bool is_eig_vec(double **mat,double *vec,int n,int m);
bool is_symmetric(double **mat,int n);
void column_normalize(double **mat,int n,int m);
void normalize_vec_nrm1(double *vec,int n);
void normalize_vec_nrm2(double *vec,int n);
void get_min_max(double *vec,int n,double *mn,double *mx);
double get_max(double *vec,int n);
int get_max(int *vec,int n,int *ind);
double get_max(double *vec,int n,int *ind);
int get_max(int *vec,int n);
double get_min(double *vec,int n);
double get_min(double *vec,int n,int *ind);
double corrcoef(double *vec1,double *vec2,int n);
void  matrix_to_lower_triangle(double **matrix,double*  lower_triangle,int matrix_size);
double roc(double *vec,bool *labels,int N);
double roc(double *vec,bool *labels,int N,int num_true,int num_false);
double detailed_roc(double *vec,bool *labels,double **tp_arr,double **fp_arr,
	double **prec_arr,int *len,int N,int num_true,int num_false);
double *hist(double *arr,int len,int n_bin);
double *hist(double *arr,int len,double *ths, int n_bin);
int ismember(int e,int arr[],int len);
void pav ( double *result, int len );
int average_curve(double **arrX,double **arrY,int *len_arr,int arr_size,
	double **resX1,double **resY1,int resolution);
//void pool_adj_viol_rec(double *arr,int loc,int len);
//void pool_adj_viol(double *arr,int len);
#endif //__UTIL

